Subject: Re: bug#54668: [PATCH 0/3] Turn diagnostic locations into hyperlinks

From: Ludovic Courtès <[email-masked]>
Date: Mon, 04 Apr 2022 14:10:10 +0200

Hi,

Maxime Devos <[email-masked]> skribis:

> Ludovic Courtès schreef op vr 01-04-2022 om 17:01 [+0200]:
>> 
>> +(define (hyperlink uri text)
>> +  "Return a string that denotes a hyperlink using an OSC escape sequence as
>> +documented at
>> +<https://gist.github.com/egmontkob/eb114294efbcd5adb1944c9f3cb5feda>."
>> +  (string-append "\x1b]8;;" uri "\x1b\\"
>> +                 text "\x1b]8;;\x1b\\"))

(This code was already there.)

> What if 'uri' contains the character #\x1b, e.g.
> "file://home/foo/\x15.scm"?  Does it need to be escaped?

Good question.  I checked the spec linked above and it reads:

  URI is the target of the hyperlink in URI-encoded form.

So I guess we should pass ‘uri’ through ‘uri-encode’.  I’ll do that in a
separate patch.

Thanks,
Ludo’.